# Method: partners.devices.findByIdentifier

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.FindDevicesByDeviceIdentifierResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByIdentifier#body.aspect)

Finds devices by hardware identifiers, such as IMEI.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:findByIdentifier`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "pageToken": string, "limit": string, "deviceIdentifier": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`) } } ``` |

| Fields ||
|---|---|
| `pageToken` | `string` A token specifying which result page to return. |
| `limit` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive. |
| `deviceIdentifier` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`)`` Required. Required. The device identifier to search for. |

### Response body

If successful, the response body contains data with the following structure:
Response containing found devices.

| JSON representation ||
|---|---|
| ``` { "devices": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#Device`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `devices[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#Device`)`` Found devices. |
| `nextPageToken` | `string` A token used to access the next page of results. Omitted if no further results are available. |
| `totalSize` | `integer` The total count of items in the list irrespective of pagination. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).